com.amazonaws.codegen.model.service

## Class Input

- java.lang.Object
- - com.amazonaws.codegen.model.service.Input

    public class Input
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`Input()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getDocumentation()`
`String` `getLocationName()`
`String` `getShape()`
`XmlNamespace` `getXmlNamespace()`
`void` `setDocumentation(String documentation)`
`void` `setLocationName(String locationName)`
`void` `setShape(String shape)`
`void` `setXmlNamespace(XmlNamespace xmlNamespace)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Input

    public Input()

### Method Detail

#### getShape

    public String getShape()

#### setShape

    public void setShape(String shape)

#### getDocumentation

    public String getDocumentation()

#### setDocumentation

    public void setDocumentation(String documentation)

#### getLocationName

    public String getLocationName()

#### setLocationName

    public void setLocationName(String locationName)

#### getXmlNamespace

    public XmlNamespace getXmlNamespace()

#### setXmlNamespace

    public void setXmlNamespace(XmlNamespace xmlNamespace)